Name:               python-jira
Version:            3.5.2
Release:    1%{?dist}
Summary:            Python library for interacting with JIRA via REST APIs

License:            BSD-2-Clause
URL:                https://pypi.io/project/jira
Source0:            %{pypi_source jira}

BuildArch:          noarch

BuildRequires:      python3-devel
BuildRequires:      python3-keyring

%global _description %{expand:
Python library for interacting with JIRA via REST APIs
}
%description %_description

%package -n python3-jira
Summary:        %{summary}

%description -n python3-jira %_description


%package -n jirashell
Requires: python3-ipython
Requires: python3-keyring
Requires: python3-jira == %{version}
Summary: Interactive Jira shell
%description -n jirashell
Interactive Jira shell using jira Python library.


%prep
%autosetup -p1 -n jira-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jira

grep -v -w 'jirashell' "%{pyproject_files}" >python3-jira.files
grep    -w 'jirashell' "%{pyproject_files}" >jirashell.files


%check

%files -n python3-jira -f python3-jira.files
%doc PKG-INFO
%license LICENSE

%files -n jirashell -f jirashell.files
%{_bindir}/jirashell


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5.2-1
- initial build
